# Draw
TKDCAF
DNaming

# DNaming_DataMapOfShapeOfName Class Reference

`#include <DNaming_DataMapOfShapeOfName.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | DNaming_DataMapOfShapeOfName (const Standard_Integer NbBuckets=1)
Standard_EXPORT DNaming_DataMapOfShapeOfName & | Assign (const DNaming_DataMapOfShapeOfName &Other)
DNaming_DataMapOfShapeOfName & | operator= (const DNaming_DataMapOfShapeOfName &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~DNaming_DataMapOfShapeOfName ()
Standard_EXPORT Standard_Boolean | Bind (const TopoDS_Shape &K, const TCollection_AsciiString &I)
Standard_EXPORT Standard_Boolean | IsBound (const TopoDS_Shape &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TopoDS_Shape &K)
Standard_EXPORT const TCollection_AsciiString & | Find (const TopoDS_Shape &K) const
const TCollection_AsciiString & | operator() (const TopoDS_Shape &K) const
Standard_EXPORT TCollection_AsciiString & | ChangeFind (const TopoDS_Shape &K)
TCollection_AsciiString & | operator() (const TopoDS_Shape &K)

## Private Member Functions

Standard_EXPORT | DNaming_DataMapOfShapeOfName (const DNaming_DataMapOfShapeOfName &Other)

## Constructor & Destructor Documentation

Standard_EXPORT DNaming_DataMapOfShapeOfName::DNaming_DataMapOfShapeOfName | ( | const Standard_Integer | NbBuckets = `1` | ) |

DNaming_DataMapOfShapeOfName::~DNaming_DataMapOfShapeOfName | ( |  | ) | `[inline]`

Standard_EXPORT DNaming_DataMapOfShapeOfName::DNaming_DataMapOfShapeOfName | ( | const DNaming_DataMapOfShapeOfName & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT DNaming_DataMapOfShapeOfName& DNaming_DataMapOfShapeOfName::Assign | ( | const DNaming_DataMapOfShapeOfName & | Other | ) |

Standard_EXPORT Standard_Boolean DNaming_DataMapOfShapeOfName::Bind | ( | const TopoDS_Shape & | K,
|  | const TCollection_AsciiString & | I
| ) |

Standard_EXPORT TCollection_AsciiString& DNaming_DataMapOfShapeOfName::ChangeFind | ( | const TopoDS_Shape & | K | ) |

Standard_EXPORT void DNaming_DataMapOfShapeOfName::Clear | ( |  | ) |

Standard_EXPORT const TCollection_AsciiString& DNaming_DataMapOfShapeOfName::Find | ( | const TopoDS_Shape & | K | ) | const

Standard_EXPORT Standard_Boolean DNaming_DataMapOfShapeOfName::IsBound | ( | const TopoDS_Shape & | K | ) | const

void DNaming_DataMapOfShapeOfName::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DNaming_DataMapOfShapeOfName::operator new | ( | size_t | size | ) | `[inline]`

void* DNaming_DataMapOfShapeOfName::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TCollection_AsciiString& DNaming_DataMapOfShapeOfName::operator() | ( | const TopoDS_Shape & | K | ) | `[inline]`

const TCollection_AsciiString& DNaming_DataMapOfShapeOfName::operator() | ( | const TopoDS_Shape & | K | ) | const`[inline]`

DNaming_DataMapOfShapeOfName& DNaming_DataMapOfShapeOfName::operator= | ( | const DNaming_DataMapOfShapeOfName & | Other | ) | `[inline]`

Standard_EXPORT void DNaming_DataMapOfShapeOfName::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean DNaming_DataMapOfShapeOfName::UnBind | ( | const TopoDS_Shape & | K | ) |

The documentation for this class was generated from the following file:

- DNaming_DataMapOfShapeOfName.hxx